STRUCT RIO_SCAN(9)

NAME
struct_rio_scan - RIO enumeration and discovery operations

SYNOPSIS

struct rio_scan {
  struct module * owner;
  int (* enumerate) (struct rio_mport *mport, u32 flags);
  int (* discover) (struct rio_mport *mport, u32 flags);
};

MEMBERS

owner
    The module owner of this structure

enumerate
    Callback to perform RapidIO fabric enumeration.

discover
    Callback to perform RapidIO fabric discovery.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT